Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.logging
Class HierarchyDOMConfigurator

    java.lang.Object
      org.apache.log4j.xml.DOMConfigurator
          com.bea.logging.HierarchyDOMConfigurator

All Implemented Interfaces:
  org.apache.log4j.spi.Configurator

public class HierarchyDOMConfigurator
extends org.apache.log4j.xml.DOMConfigurator

Extension of DOMConfigurator that allows the configuration of a specific hierarchy of categories.

Field Summary

Fields inherited from interface org.apache.log4j.spi.Configurator
`INHERITED, NULL`

Constructor Summary
`HierarchyDOMConfigurator(org.apache.log4j.spi.LoggerFactory categoryFactory)` Creates a configurator that uses a specific category factory instance to create categories.

Method Summary
`void` | `configure(Element element, org.apache.log4j.Hierarchy hierarchy)` Configure log4j using a `configuration` element as defined in the log4j.dtd for the specified hierarchy.
`protected void` | `parseCategory(Element categoryElement, org.apache.log4j.Hierarchy hierarchy)` Used internally to parse a category element.

Methods inherited from class org.apache.log4j.xml.DOMConfigurator
`configure, configure, configure, configureAndWatch, configureAndWatch, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, findAppenderByName, findAppenderByReference, parse, parseAppender, parseCategory, parseCategoryFactory, parseChildrenOfLoggerElement, parseErrorHandler, parseFilters, parseLayout, parseLevel, parseRenderer, parseRoot, setParameter, subst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchyDOMConfigurator

    public HierarchyDOMConfigurator(org.apache.log4j.spi.LoggerFactory categoryFactory)

  Creates a configurator that uses a specific category factory instance to create categories.

Method Detail

### configure

    public void configure(Element element,
                          org.apache.log4j.Hierarchy hierarchy)

  Configure log4j using a `configuration` element as defined in the log4j.dtd for the specified hierarchy.

### parseCategory

    protected void parseCategory(Element categoryElement,
                                 org.apache.log4j.Hierarchy hierarchy)

  Used internally to parse a category element.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD